nginx-ssl
=========

This role handles ssl termination on the local server via nginx. This will go in front of the actual service and is done to standardize how SSL is handled, making automation vastly easier. Note that some services - most notable freeipa - require SSL termination to be handled by the service itself and thus can't use this 

Requirements
------------

The certbot role is needed in order to generate and maintain the certificate

Role Variables
--------------

Any specific variables (i.e. nginx settings) should be defined from the playbook-builder

Dependencies
------------

certbot (optional)

Example Playbook Template
----------------

Playbook creation should be handled by playbook-builder

[include example of how to pass specific nginx settings from playbook template]

License
-------

GPL

Author Information
------------------

Beth Parker, ejparker@atcur.com
